%{?mingw_package_header}

%global pkgname vulkan-loader
%global srcname Vulkan-Loader

%define baseversion %(echo %{version} | awk -F'.' '{print $1"."$2"."$3}')

Name:          mingw-%{pkgname}
Version:       1.3.216
Release:       %mkrel 1
Summary:       MinGW Windows %{pkgname} library

Group:	Development/Other
License:       ASL 2.0
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{srcname}
Source0:       https://github.com/KhronosGroup/%{srcname}/archive/sdk-%{version}/%{srcname}-%{version}.tar.gz

# Omit def file, results in vulkan-1.dll.a containing non @-decorated symbols, while vulkan-1.dll contains @-decorated symbols
# Fix include oder resulting in windows.h getting included before winsock2.h
Patch0:        vulkan-loader_mingw.patch


BuildRequires: make
BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-dlfcn
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-vulkan-headers >= %{baseversion}

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-dlfcn
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-vulkan-headers >= %{baseversion}


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{srcname}-sdk-%{version}


%build
%mingw_cmake -DUSE_MASM=OFF -DENABLE_WERROR=OFF
%mingw_make_build


%install
%mingw_make_install


%files -n mingw32-%{pkgname}
%doc README.md
%license LICENSE.txt
%{mingw32_bindir}/libvulkan-1.dll
%{mingw32_libdir}/libvulkan-1.dll.a
%{mingw32_libdir}/pkgconfig/vulkan.pc


%files -n mingw64-%{pkgname}
%doc README.md
%license LICENSE.txt
%{mingw64_bindir}/libvulkan-1.dll
%{mingw64_libdir}/libvulkan-1.dll.a
%{mingw64_libdir}/pkgconfig/vulkan.pc




%changelog
* Tue Jul 19 2022 tv <tv> 1.3.216-1.mga9
+ Revision: 1869424
- imported package mingw-vulkan-loader

